Debian Bug report logs - #473580
Fails to escape periods at the beginning of <literal> in manpages.

version graph

Package: aptitude; Maintainer for aptitude is Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>; Source for aptitude is src:aptitude.

Reported by: Daniel Burrows <dburrows@debian.org>

Date: Mon, 31 Mar 2008 13:33:01 UTC

Severity: normal

Tags: patch

Fixed in version aptitude/0.4.11.4-1

Done: Daniel Burrows <dburrows@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Leidert (dale) <daniel.leidert@wgdd.de>:
Bug#473580; Package docbook-xsl. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
New Bug report received and forwarded. Copy sent to Daniel Leidert (dale) <daniel.leidert@wgdd.de>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Fails to escape periods at the beginning of <literal> in manpages.
Date: Sun, 30 Mar 2008 13:59:30 -0700
Package: docbook-xsl
Version: 1.73.2.dfsg.1-3
Severity: normal

  The aptitude manpage, which is generated using docbook, triggers
lintian errors:

W: aptitude: manpage-has-errors-from-man usr/share/man/man8/aptitude.8.gz 444: warning: `deb' not defined (probable missing space after `de')

  I tracked this down to the following groff code:

.RS 4
Removes all previously downloaded
.deb
files from the package cache directory (usually
\fI/var/cache/apt/archives\fR)\.
.RE

  The manpage output produced for this is "Removes all previously
downloaded files from the package cache directory..."; the ".deb" just
vanishes.  The corresponding DocBook XML is:


	  <para>
	    Removes all previously downloaded <literal>.deb</literal> files from the package cache
	    directory (usually <filename>/var/cache/apt/archives</filename>).
	  </para>

  Apparently docbook-xsl doesn't escape leading periods inside
<literal>, causing the manpage formatter to get confused and think that
the line in question is a ROFF escape.

  Daniel

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages docbook-xsl depends on:
ii  xml-core                      0.11       XML infrastructure and XML catalog

Versions of packages docbook-xsl recommends:
ii  docbook-xml              4.5-5           standard XML documentation system,
ii  docbook-xsl-doc          1.71.0.dfsg.1-2 stylesheets for processing DocBook

-- no debconf information




Tags added: patch, pending Request was from Daniel Leidert (dale) <daniel.leidert@wgdd.de> to control@bugs.debian.org. (Mon, 31 Mar 2008 13:54:15 GMT) Full text and rfc822 format available.

Message sent on to Daniel Burrows <dburrows@debian.org>:
Bug#473580. Full text and rfc822 format available.

Message #10 received at 473580-submitter@bugs.debian.org (full text, mbox):

From: Daniel Leidert <daniel.leidert@wgdd.de>
To: 473580@bugs.debian.org
Cc: 473580-submitter@bugs.debian.org, Michael Banck <mbanck@debian.org>
Subject: Re: Bug#473580: Fails to escape periods at the beginning of <literal> in manpages.
Date: Mon, 31 Mar 2008 16:59:55 +0200
Am Sonntag, den 30.03.2008, 13:59 -0700 schrieb Daniel Burrows:

>   The aptitude manpage, which is generated using docbook, triggers
> lintian errors:
> 
> W: aptitude: manpage-has-errors-from-man usr/share/man/man8/aptitude.8.gz 444: warning: `deb' not defined (probable missing space after `de')
> 
>   I tracked this down to the following groff code:
> 
> .RS 4
> Removes all previously downloaded
> .deb
> files from the package cache directory (usually
> \fI/var/cache/apt/archives\fR)\.
> .RE
> 
>   The manpage output produced for this is "Removes all previously
> downloaded files from the package cache directory..."; the ".deb" just
> vanishes.  The corresponding DocBook XML is:
> 
> 
> 	  <para>
> 	    Removes all previously downloaded <literal>.deb</literal> files from the package cache
> 	    directory (usually <filename>/var/cache/apt/archives</filename>).
> 	  </para>
> 
>   Apparently docbook-xsl doesn't escape leading periods inside
> <literal>, causing the manpage formatter to get confused and think that
> the line in question is a ROFF escape.

Thanks for the report. Upstream discovered this bug and I backported the
patch to the package update -4 of docbook-xsl, which is waiting (since
last night) to be uploaded [1] by my sponsor. However, if the problem
hurts you, you could sponsor the package for me (CCing my usual sponsor
Michael Banck) or simply download and use it to fix the problem
locally. The update also fixes the problem with the French version of
the aptitude manpage (#473244).

BTW: Michael Smith (one of the project leaders of docbook-xsl) added
some kind of regression tests for the docbook-xsl manpage stylesheets
(mostly Debian package manpages). aptitude is not yet part of them - but
if your manpage sources can be retrieved via some VCS, you could tell
him or me the location and they could then be added to [2].

[1] http://debian.wgdd.de/debian/incoming/packages/debian-xml-sgml/docbook-xsl_1.73.2.dfsg.1-4.dsc
[2] http://docbook.svn.sourceforge.net/viewvc/docbook/trunk/contrib/samples/refentry/

Regards, Daniel





Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Leidert (dale) <daniel.leidert@wgdd.de>:
Bug#473580; Package docbook-xsl. Full text and rfc822 format available.

Acknowledgement sent to Daniel Leidert <daniel.leidert@wgdd.de>:
Extra info received and forwarded to list. Copy sent to Daniel Leidert (dale) <daniel.leidert@wgdd.de>. Full text and rfc822 format available.

Information stored:
Bug#473580; Package docbook-xsl. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #20 received at 473580-quiet@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Daniel Leidert <daniel.leidert@wgdd.de>, 473580-quiet@bugs.debian.org
Subject: Re: Bug#473580: Fails to escape periods at the beginning of <literal> in manpages.
Date: Mon, 31 Mar 2008 19:17:37 -0700
On Mon, Mar 31, 2008 at 04:59:55PM +0200, Daniel Leidert <daniel.leidert@wgdd.de> was heard to say:
> BTW: Michael Smith (one of the project leaders of docbook-xsl) added
> some kind of regression tests for the docbook-xsl manpage stylesheets
> (mostly Debian package manpages). aptitude is not yet part of them - but
> if your manpage sources can be retrieved via some VCS, you could tell
> him or me the location and they could then be added to [2].

  The source code to aptitude can be retrieved at

    http://hg.debian.org/hg/aptitude/head

  with the documentation being in doc/en.

  Daniel




Reply sent to "Daniel Leidert" <daniel.leidert@wgdd.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Daniel Burrows <dburrows@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 473580-done@bugs.debian.org (full text, mbox):

From: "Daniel Leidert" <daniel.leidert@wgdd.de>
To: 473580-done@bugs.debian.org
Subject: Fails to escape periods at the beginning of <literal> in manpages.
Date: Fri, 4 Apr 2008 01:09:22 +0200 (CEST)
Source: docbook-xsl
Source-Version: 1.73.2.dfsg.1-4

Hi,

This bug should be fixed with the last upload too.

Regards, Daniel





Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Leidert (dale) <daniel.leidert@wgdd.de>:
Bug#473580; Package docbook-xsl. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Leidert (dale) <daniel.leidert@wgdd.de>. Full text and rfc822 format available.

Message #30 received at 473580@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: 473580@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#473580 closed by "Daniel Leidert" <daniel.leidert@wgdd.de> (Fails to escape periods at the beginning of <literal> in manpages.)
Date: Sat, 12 Apr 2008 09:06:38 -0700
[Message part 1 (text/plain, inline)]
package docbook-xsl
found 473580 1.73.2.dfsg.1-4
thanks

On Thu, Apr 03, 2008 at 11:12:14PM +0000, Debian Bug Tracking System <owner@bugs.debian.org> was heard to say:
> 473580: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=473580
> Debian Bug Tracking System
> Contact owner@bugs.debian.org with problems

> Date: Fri, 4 Apr 2008 01:09:22 +0200 (CEST)
> Subject: Fails to escape periods at the beginning of <literal> in manpages.
> From: Daniel Leidert <daniel.leidert@wgdd.de>
> To: 473580-done@bugs.debian.org
> 
> Source: docbook-xsl
> Source-Version: 1.73.2.dfsg.1-4
> 
> Hi,
> 
> This bug should be fixed with the last upload too.

  It doesn't seem to be.  Attached is the output I get if I regenerate
aptitude's manpage using the latest docbook-xsl; note that ".deb" still
appears at the beginning of several lines.

  Daniel
[aptitude.8 (text/plain, attachment)]

Bug marked as found in version 1.73.2.dfsg.1-4 and reopened. Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. (Sat, 12 Apr 2008 16:09:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Leidert (dale) <daniel.leidert@wgdd.de>:
Bug#473580; Package docbook-xsl. Full text and rfc822 format available.

Acknowledgement sent to Daniel Leidert <daniel.leidert@wgdd.de>:
Extra info received and forwarded to list. Copy sent to Daniel Leidert (dale) <daniel.leidert@wgdd.de>. Full text and rfc822 format available.

Message #37 received at 473580@bugs.debian.org (full text, mbox):

From: Daniel Leidert <daniel.leidert@wgdd.de>
To: 473580@bugs.debian.org, control@bugs.debian.org
Cc: 473580-submitter@bugs.debian.org
Subject: Fails to escape periods at the beginning of <literal> in manpages.
Date: Wed, 16 Apr 2008 19:41:22 +0200
[Message part 1 (text/plain, inline)]
reassign 473580 aptitude
tags 473580 + patch
thanks

Hi,

The problem in the upstream stylesheets has been fixed with the last
upload. The problem you still see is now caused in your customization
layer for the docbook-xsl manpage stylesheets in the aptitude source.
Therefor I reassigned the bug to you and attached the patch to fix it
(tested).

Unfortunately the templates to style things as "bold" or "italic" have
changed again so the attached fix is necessary.

Regards, Daniel
[473580.diff (text/x-patch, attachment)]

Bug reassigned from package `docbook-xsl' to `aptitude'. Request was from Daniel Leidert <daniel.leidert@wgdd.de> to control@bugs.debian.org. (Wed, 16 Apr 2008 17:45:09 GMT) Full text and rfc822 format available.

Tags added: patch Request was from Daniel Leidert <daniel.leidert@wgdd.de> to control@bugs.debian.org. (Wed, 16 Apr 2008 17:45:11 GMT) Full text and rfc822 format available.

Message sent on to Daniel Burrows <dburrows@debian.org>:
Bug#473580. Full text and rfc822 format available.

Reply sent to Daniel Burrows <dburrows@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Daniel Burrows <dburrows@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #49 received at 473580-close@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: 473580-close@bugs.debian.org
Subject: Bug#473580: fixed in aptitude 0.4.11.4-1
Date: Sun, 08 Jun 2008 01:32:04 +0000
Source: aptitude
Source-Version: 0.4.11.4-1

We believe that the bug you reported is fixed in the latest version of
aptitude, which is due to be installed in the Debian FTP archive:

aptitude-dbg_0.4.11.4-1_i386.deb
  to pool/main/a/aptitude/aptitude-dbg_0.4.11.4-1_i386.deb
aptitude-doc-cs_0.4.11.4-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-cs_0.4.11.4-1_all.deb
aptitude-doc-en_0.4.11.4-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-en_0.4.11.4-1_all.deb
aptitude-doc-fi_0.4.11.4-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fi_0.4.11.4-1_all.deb
aptitude-doc-fr_0.4.11.4-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fr_0.4.11.4-1_all.deb
aptitude-doc-ja_0.4.11.4-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-ja_0.4.11.4-1_all.deb
aptitude_0.4.11.4-1.diff.gz
  to pool/main/a/aptitude/aptitude_0.4.11.4-1.diff.gz
aptitude_0.4.11.4-1.dsc
  to pool/main/a/aptitude/aptitude_0.4.11.4-1.dsc
aptitude_0.4.11.4-1_i386.deb
  to pool/main/a/aptitude/aptitude_0.4.11.4-1_i386.deb
aptitude_0.4.11.4.orig.tar.gz
  to pool/main/a/aptitude/aptitude_0.4.11.4.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 473580@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Burrows <dburrows@debian.org> (supplier of updated aptitude package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 07 Jun 2008 17:05:21 -0700
Source: aptitude
Binary: aptitude aptitude-dbg aptitude-doc-cs aptitude-doc-en aptitude-doc-fi aptitude-doc-fr aptitude-doc-ja
Architecture: source all i386
Version: 0.4.11.4-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Burrows <dburrows@debian.org>
Changed-By: Daniel Burrows <dburrows@debian.org>
Description: 
 aptitude   - terminal-based package manager
 aptitude-dbg - Debug symbols for the aptitude package manager
 aptitude-doc-cs - Czech manual for aptitude, a terminal-based package manager
 aptitude-doc-en - English manual for aptitude, a terminal-based package manager
 aptitude-doc-fi - Finnish manual for aptitude, a terminal-based package manager
 aptitude-doc-fr - French manual for aptitude, a terminal-based package manager
 aptitude-doc-ja - Japanese manual for aptitude, a terminal-based package manager
Closes: 136874 473580 473829 483620 483920 483943
Changes: 
 aptitude (0.4.11.4-1) unstable; urgency=low
 .
   * New upstream release.
 .
     - Fixed a nasty resolver bug that would cause solutions to be chosen
       poorly in some cases involving self-conflicts. (Closes: #483920)
 .
     - "aptitude search" now takes a command-line argument
       "--disable-columns" that prevents aptitude from padding or
       truncating strings to line text up into columns.  This makes
       the output much more script-friendly.  (Closes: #136874)
 .
     - Fixed the formatting of literal elements in the manpage.
       (Closes: #473580)
 .
     - Defaults files for locales that contain an underscore (such as pt_BR
       or zh_CN) should get installed now. (Closes: #483620)
 .
     - Translation update for Russian. (Closes: #483943)
 .
   * aptitude-dbg recommends libcwidget3-dbg now, not libcwidget1-dbg.
     (Closes: #473829)
 .
   * Bring the Standards-Version up-to-date.  No other changes were needed;
     the only change to Policy lately that affects aptitude was the
     restructuring of the menu hierarchy, and aptitude is already
     up-to-date with that.
 .
   * Bring README.Debian up-to-date regarding the location of the upstream
     and Debian repositories.
Checksums-Sha1: 
 4ef9235ac164d7a7b0085128182359d3ad02b294 1382 aptitude_0.4.11.4-1.dsc
 4b1a407f1541882f8590787c425c3d7d7762ff7f 5713470 aptitude_0.4.11.4.orig.tar.gz
 91ba9e7d6537bc62bcaac9a097aff86b7c064fea 34871 aptitude_0.4.11.4-1.diff.gz
 0ccf6e47038433a9917e41169a343297d3bde4b7 345082 aptitude-doc-cs_0.4.11.4-1_all.deb
 b84976f5c03272cc0ec098efb8807a22626f5a7e 353208 aptitude-doc-en_0.4.11.4-1_all.deb
 bc8ebc7e890ba9a1ebea58c685f4344724ded5f4 263570 aptitude-doc-fi_0.4.11.4-1_all.deb
 20156c7604775bac3bfbd490cebeac517d32d8f7 297996 aptitude-doc-fr_0.4.11.4-1_all.deb
 af3b6c89446a7d82f78bc4634b04c4d9f27b4f1f 363622 aptitude-doc-ja_0.4.11.4-1_all.deb
 0e1ce88d03d224f76d0af5748661a92e7c19e265 2771074 aptitude_0.4.11.4-1_i386.deb
 6032927d0102adf46970e3c01defc7974a183c77 5905982 aptitude-dbg_0.4.11.4-1_i386.deb
Checksums-Sha256: 
 a54ed4c3424263338976beec1f4fb4506e889cf7d8a0e6e0159a1a590c57cc5f 1382 aptitude_0.4.11.4-1.dsc
 2a2cd488c2397e6b1fb02e035854addfbe0fec2253726d7f294d1ab2c08d4aeb 5713470 aptitude_0.4.11.4.orig.tar.gz
 6fbbecec0750ff4f3a764f0e0855b3c6dcf451c9e608694a6fa0d1c576dbeee3 34871 aptitude_0.4.11.4-1.diff.gz
 d483942e6488eec2746cf0f8780ab19e9f2dc70ab5644e12176f1a6a6ce221da 345082 aptitude-doc-cs_0.4.11.4-1_all.deb
 2910704fa5bb510316ec268d0aefaf84868d57c85b339669574f0633a6ff5e7a 353208 aptitude-doc-en_0.4.11.4-1_all.deb
 1ba5f4736f9d2345c50a36c43f9afc42ed9db4736a1d7062d29d9f0cff246167 263570 aptitude-doc-fi_0.4.11.4-1_all.deb
 264969bb307bbd77d6be1e8776ee606a4e459247ecccbbafb7f7844ab9c161bc 297996 aptitude-doc-fr_0.4.11.4-1_all.deb
 654b963ad6f6ed67cd73bbd04bbabfb182544c72e568368823f0d3d7eed12902 363622 aptitude-doc-ja_0.4.11.4-1_all.deb
 15534535b87a555cd2f6219408c76d4cabf86071719f3503a89e66ac40263486 2771074 aptitude_0.4.11.4-1_i386.deb
 a475875c6b93b9a180e5ef7229cd8e2423f9d5266fec8309cb5f8711b002cd99 5905982 aptitude-dbg_0.4.11.4-1_i386.deb
Files: 
 3e5f49cf581b06b0d1153b77405ae9af 1382 admin - aptitude_0.4.11.4-1.dsc
 85ed892ac7f8fa8784e873a1f691c322 5713470 admin - aptitude_0.4.11.4.orig.tar.gz
 69b22d0a110e430fd60c24114078c248 34871 admin - aptitude_0.4.11.4-1.diff.gz
 db45dcae83cbba11434a0a00d59a8cfe 345082 doc optional aptitude-doc-cs_0.4.11.4-1_all.deb
 8ad7bc4cd80d0a45826dc1c038cebe92 353208 doc optional aptitude-doc-en_0.4.11.4-1_all.deb
 13cceb5a5d2b883378bcc63c44110b91 263570 doc optional aptitude-doc-fi_0.4.11.4-1_all.deb
 c60ad2a243e00d8151249071b7873b63 297996 doc optional aptitude-doc-fr_0.4.11.4-1_all.deb
 55ce7fc800c89d1c5dacba741e56bff9 363622 doc optional aptitude-doc-ja_0.4.11.4-1_all.deb
 a3c693b9129c2276804642453f190257 2771074 admin important aptitude_0.4.11.4-1_i386.deb
 1892777129b6dc5b9c2e319581e71fbf 5905982 devel extra aptitude-dbg_0.4.11.4-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFISzQZch6xsM7kSXgRAoPwAJ4vMeFXxYO/BRXuiJ9AbH4H/4Sv9QCg2K8I
iVxebK6KRHSkWXiGBvlW/pA=
=fJEy
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Oct 2009 07:48:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:59:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.